
#ifndef ns_mac_low_types_h
#define ns_mac_low_types_h

#define MAC_LOW_Type_Wake 0x00
#define MAC_LOW_Type_WakeAck 0x01

struct frame_control_low {
	u_char		fc_type : 4;
/*
	u_char		fc_subtype		: 4;
	u_char		fc_type			: 2;
	u_char		fc_protocol_version	: 2;

	u_char		fc_order		: 1;
	u_char		fc_wep			: 1;
	u_char		fc_more_data		: 1;
	u_char		fc_pwr_mgt		: 1;
	u_char		fc_retry		: 1;
	u_char		fc_more_frag		: 1;
	u_char		fc_from_ds		: 1;
	u_char		fc_to_ds		: 1;
*/
};

// XXX This header does not have its header access function because it shares
// the same header space with hdr_mac.
// MATT: This struct needs to have the same fields as the primary mac
// To access the fields correctly
struct hdr_mac_low {
	struct frame_control_low	dh_fc;
	u_int16_t		dh_duration;
	u_char			dh_da[ETHER_ADDR_LEN];
	u_char			dh_sa[ETHER_ADDR_LEN];
	u_char			dh_bssid[ETHER_ADDR_LEN];
	u_int16_t		dh_scontrol;
	u_char			dh_body[0]; // XXX Non-ANSI
};

#endif

